Skip to main content
POST
/
evaluations
/
fromSession
Create evaluations from session
curl --request POST \
  --url https://api.galtea.ai/evaluations/fromSession \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sessionId": "session_123",
  "metrics": [
    {
      "id": "id_123",
      "name": "Example Name",
      "score": 0.95
    }
  ],
  "specificationIds": [
    "<string>"
  ]
}
'
import requests

url = "https://api.galtea.ai/evaluations/fromSession"

payload = {
"sessionId": "session_123",
"metrics": [
{
"id": "id_123",
"name": "Example Name",
"score": 0.95
}
],
"specificationIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: 'session_123',
metrics: [{id: 'id_123', name: 'Example Name', score: 0.95}],
specificationIds: ['<string>']
})
};

fetch('https://api.galtea.ai/evaluations/fromSession', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "eval_123",
    "metricId": "metric_123",
    "sessionId": "session_123",
    "userId": "user_123",
    "status": "SUCCESS",
    "testCaseId": "tc_123",
    "inferenceResultId": "ir_123",
    "score": 0.95,
    "reason": "High quality response",
    "error": "<string>",
    "canRetry": false,
    "creditsUsed": 1,
    "conversationSimulatorVersion": "1.0.0",
    "humanEvaluatorId": "<string>",
    "humanEvaluatorStartedAt": "2023-11-07T05:31:56Z",
    "humanScore": 123,
    "humanReason": "<string>",
    "humanEvaluatorFinishedAt": "2023-11-07T05:31:56Z",
    "failedTurns": [
      "<string>"
    ],
    "deletedAt": "2023-11-07T05:31:56Z",
    "evaluatedAt": "2023-11-07T05:31:56Z",
    "metricLegacyAt": "2023-11-07T05:31:56Z",
    "metricDisabledAt": "2023-11-07T05:31:56Z",
    "testCaseLegacyAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]
{
"error": "Error type",
"message": "Error message description"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
sessionId
string
required
Example:

"session_123"

metrics
object[]

Metrics to evaluate. Optional if specificationIds is provided or the product has specifications with linked metrics.

specificationIds
string[]

Specification IDs whose linked metrics will be evaluated. Can be combined with metrics; the API merges and deduplicates.

Response

Evaluations created successfully

id
string
required
Example:

"eval_123"

metricId
string
required
Example:

"metric_123"

sessionId
string
required
Example:

"session_123"

userId
string | null
required
Example:

"user_123"

status
enum<string>
required
Available options:
PENDING,
PENDING_HUMAN,
SUCCESS,
FAILED,
SKIPPED,
CANCELLED
Example:

"SUCCESS"

testCaseId
string | null
required
Example:

"tc_123"

inferenceResultId
string | null
required
Example:

"ir_123"

score
number | null
required
Example:

0.95

reason
string | null
required
Example:

"High quality response"

error
string | null
required
canRetry
boolean | null
required
Example:

false

creditsUsed
integer | null
required
Example:

1

conversationSimulatorVersion
string | null
required
Example:

"1.0.0"

humanEvaluatorId
string | null
required

User ID of the human evaluator

humanEvaluatorStartedAt
string<date-time> | null
required
humanScore
number | null
required

Human-provided annotation score

humanReason
string | null
required

Human-provided annotation reason

humanEvaluatorFinishedAt
string<date-time> | null
required

Timestamp when human evaluation was submitted

failedTurns
string[]
required

Conversation turns that failed

deletedAt
string<date-time> | null
required
evaluatedAt
string<date-time> | null
required
metricLegacyAt
string<date-time> | null
required
metricDisabledAt
string<date-time> | null
required
testCaseLegacyAt
string<date-time> | null
required
createdAt
string<date-time>